var onlyRu = false,
    crossdomain = true;
var wLang = (function(){
  function getCookie(name) {
    var cookie = crossdomain ? document.cookie : window.parent.document.cookie;
    var matches = cookie.match(new RegExp(
    "(?:^|; )" + name.replace(/([\.$?*|{}\(\)\[\]\\\/\+^])/g, '\\$1') + "=([^;]*)"
    ));
    return matches ? decodeURIComponent(matches[1]) : undefined;
  }

  var wLang = window.navigator.language.substring(0,2);
  //печеньки
  var cookieLang = getCookie('lang')
  if(cookieLang) wLang = cookieLang;

  var oRu = getCookie('onlyRu');
  if(oRu) onlyRu = oRu == '1' ? true : false;

  var langs = ['ru', 'de'];
  if (langs.indexOf(wLang) == -1) wLang = 'en';
  if (onlyRu) wLang = 'ru';
  return wLang;
})();

requireopts = {
	catchError:true,
	waitSeconds:0,
	paths:{
    'cfg'		:'/config',
    'lang'  :'/locale/lang_' + wLang + '.js.gz?',
    'loc'  :'/locale/' + wLang + '.js.gz?',
		'lArch'  :'/locale/langChan_' + wLang + '.js?',
	  'jq'		:'/lib/jquery/jquery.min.js.gz?',
    'ui'		:'/lib/jquery/jquery.ui.min.js.gz?',
	  'ch'		:'/lib/jquery/jquery.chosen.min.js.gz?',
    'dt'		:'/lib/jquery/jquery.ui.dynatree.js.gz?',
    'jg'		:'/lib/jquery/jquery.ui.jqgrid.min.js.gz?',
    'te'		:	'/lib/jquery/jquery.timeentry.min.js.gz?',
    'jp'		:	'/lib/jquery/jquery.plugin.min.js.gz?',
    'sh'		:'/lib/sh.js.gz?',
    'db'		:'/lib/db.js.gz?',
    'pr'    :'/lib/progress.js.gz?',
    'jglc'	:'/lib/jquery/jquery.ui.jqgrid.locale.ru.js.gz?',
    'text'	:'/lib/text.js.gz?',
		'check'	: '/lib/check.js.gz?',

    'ns'		:'/utils/namespace',
    'lc'		:'/utils/locale',
	  'og'		:'/utils/origin',
	  'vr'		:'/utils/vars.sht?',
    'ac'		:'/utils/access',
	  'nop'		:'/utils/nop',
	  'fmts'	:'/utils/formatters',
    'xmls'	:'/utils/xmls',
    'gears' :'/utils/gears',
    'xmltd'	:'/utils/xmltd',
		'sd' 		: '/utils/SD',

    'menu':'/menu/menu.js.gz?',
    'loading':'/template/loading.template',
    'iec61850t':'/template/template61850.template',
    'typedevices':'/TypeDevices.xml',
	  'typevoltages': '/TypeVoltages.xml',
    'eventsList': '/EventsList.xml',
    'schemaUtil':'/lib/schemaUtil.js.gz?',
    'svg':'/lib/svg.js.gz?',
	  'mix':'/mixins/mix.js.gz?',
    'serv':'/server/server.js.gz?',
		'excel':'/lib/excel.js.gz?',
		'flot':'flot.js.gz?',
		'emailtempl': '/template/email'
	},
	shim: {
	  'jq':{
      exports:'$'
	  },
	  'ch':{
      deps: ['jq']
	  },
	  'ui': {
      deps: ['jq']
	  },
	  'dt': {
      deps: ['ui']
	  },
	  'jg': {
      deps: ['ui']
	  },
	  'fmts': {
      deps: ['jg']
	  },
	  'jglc': {
      deps: ['jg']
	  },
	  'xmls': {
      deps: ['jq']
	  },
    /*'mix': {
      deps: ['pr']
    },*/
    'te': {
      deps: ['jp']
    },
    'jp': {
      deps: ['jq']
    },
    'flot': {
      deps: ['jq']
    }
	}
}

exports	=	{
  svgEventDelay	  :	1000,
  svgDataDelay	  :	1000,
  requestTimeout  :	120000,
  svgInfoDelay	  :	5000,
  showTooltip     : true,
  TUPassword      : '123',
  TUPassRO        : false,
  TimeOffset      : 0
}

files = {
	arm: {
		js: [
			//{type:"text/javascript",src:"/utils/vars.sht"}
			{type:"text/javascript",src:"js/arm.min.js.gz"}
			//,{type:"text/javascript",src:"js/arm2.min.js.gz"}
		],
		css:[
			{type:"text/css",rel:"stylesheet",media:"screen", href:"css/arm.min.css.gz"}
		],
		html:[
			 {type:"text/html",url:"index_K2.html.gz"}
		]
	},
	schemes:[
		'control/c.schemes',
		'model/m.schemes',
		'view/v.schemes',
		'menu',
		'ns',
    'pr',
		'sh','jq','dt',
		'db','svg','schemaUtil'
	],
	diag:[
		'control/c.diag',
		'model/m.diag',
		'view/v.diag',
		'menu',
		'ns',
    'pr',
		'gears', 'nop'
	],
	param:[
		'control/c.param',
		'model/m.param',
		'view/v.param',
		'menu',
		'xmls',
    'vr',
		'ns',
    'pr',
		'gears','jq','ch','dt','jg','jglc', 'nop'
	],
  reports: [
    'control/c.reports',
    'model/m.reports',
    'view/v.reports',
    'menu',
    'xmls',
    'ns',
    'pr',
    'gears', 'serv', 'nop'
  ]
}
